/*
 * Copyright (c) Amazon.com, Inc. or its affiliates.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at:
 * 
 * http://aws.amazon.com/apache2.0
 * 
 * This file is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES
 * OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and
 * limitations under the License.
 */ 


package com.amazonaws.mturk.filter;

import com.amazonaws.mturk.service.axis.AWSService;

/**
 * 
 * Final Filter in the chain of filters which calls the axis stubs.
 * 
 */
public class FinalFilter extends Filter {

    private AWSService service;
    
    public FinalFilter(AWSService service) {
        this.service = service;
    }
   /**
    * This calls the Axis method to make the wsdl call and return the response
    */ 
    @Override
    public Reply execute(Message m) {
        return this.service.executeRequestMessage(m);
    }

    @Override
    public boolean isRemovable() {
        return false;
    }
}
